Skip to content

CpLetter⁠

Perform various operations for Symitar parameters.

Operations⁠

getCpLetterSelectFields⁠

POST

Execute the persistent ParameterService getCpLetterSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CpLetterLetterCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getCpLetterSelectFields
POST /nexum/627/persistent/parameter/getCpLetterSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "CpLetterLetterCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllCpLetterFields": true,
    "CpLetterFields": {
      "Description": true,
      "LetterCode": true,
      "NextWorkDays": true,
      "Specfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCpLetterPagedListSelectFields⁠

POST

Execute the persistent ParameterService getCpLetterPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getCpLetterPagedListSelectFields
POST /nexum/627/persistent/parameter/getCpLetterPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCpLetterFields": true,
    "CpLetterFields": {
      "Description": true,
      "LetterCode": true,
      "NextWorkDays": true,
      "Specfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCpLetterPagedSelectFields⁠

POST

Execute the persistent ParameterService searchCpLetterPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchCpLetterPagedSelectFields
POST /nexum/627/persistent/parameter/searchCpLetterPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCpLetterFields": true,
    "CpLetterFields": {
      "Description": true,
      "LetterCode": true,
      "NextWorkDays": true,
      "Specfile": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCpLetterByID⁠

POST

Execute the persistent ParameterService updateCpLetterByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CpLetterLetterCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateCpLetterByID
POST /nexum/627/persistent/parameter/updateCpLetterByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "CpLetterLetterCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "CpLetterFields": {
    "Description": "string",
    "LetterCode": 0,
    "NextWorkDays": 0,
    "Specfile": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}